#include "OverworldDimension.h"

OverworldDimensionFactory::OverworldDimensionFactory()
    : DimensionFactory(DimensionEnum::OVERWORLD)
{}

Dimension* OverworldDimensionFactory::createDimension() {
    Dimension* d = new Dimension(DimensionEnum::OVERWORLD);
    d->configureDayNightCyncle(300, 30, 600);
    return d;
}