#pragma once
#include "GeneratorRule.h"

class BlockInstanceGeneratorRule : public GeneratorRule
{
private:
    int blockType;

public:
    BlockInstanceGeneratorRule(
        Framework::JSON::JSONValue* zConfig, JExpressionMemory* zMemory);
    Framework::Either<Block*, int> createBlock(
        int x, int y, int z, int dimensionId) override;
};

class BlockInstanceGeneratorRuleFactory : public GeneratorRuleFactory
{
public:
    BlockInstanceGeneratorRuleFactory();
    GeneratorRule* createRule(Framework::JSON::JSONValue* zConfig,
        JExpressionMemory* zMemory) override;
    Framework::JSON::Validator::JSONValidator* getValidator() override;
};