#pragma once

#include "GeneratorRule.h"

class BlockTypeGeneratorRule : public GeneratorRule
{
private:
    int blockType;

public:
    BlockTypeGeneratorRule(
        Framework::JSON::JSONValue* zConfig, JExpressionMemory* zMemory);
    Framework::Either<Block*, int> createBlock(
        int x, int y, int z, int dimensionId) override;
};

class BlockTypeGeneratorRuleFactory : public GeneratorRuleFactory
{
public:
    BlockTypeGeneratorRuleFactory();
    GeneratorRule* createRule(
	    Framework::JSON::JSONValue* zConfig, JExpressionMemory* zMemory) override;
    Framework::JSON::Validator::JSONValidator* getValidator() override;
};