#pragma once

#include "Noise.h"

class FactorizeNoise : public Noise
{
private:
    Noise* noiseA;
    Noise* noiseB;
    double factorA;

public:
    FactorizeNoise(Noise* a, Noise* b, double factorA);
    ~FactorizeNoise();
    int getSeed() const override;
    double getNoise(double x, double y, double z) override;
};